(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common')) :
	typeof define === 'function' && define.amd ? define(['exports', '@angular/core', '@angular/common'], factory) :
	(factory((global['angular-test-module'] = global['angular-test-module'] || {}),global._angular_core,global._angular_common));
}(this, (function (exports,_angular_core,_angular_common) { 'use strict';

/**
 * Transforms any input value
 */
var SamplePipe = (function () {
    function SamplePipe() {
    }
    /**
     * @param {?} value
     * @param {?=} args
     * @return {?}
     */
    SamplePipe.prototype.transform = function (value, args) {
        if (args === void 0) { args = null; }
        return value.reverse();
    };
    return SamplePipe;
}());
SamplePipe.decorators = [
    { type: _angular_core.Pipe, args: [{
                name: 'samplePipe'
            },] },
    { type: _angular_core.Injectable },
];
/**
 * @nocollapse
 */
SamplePipe.ctorParameters = function () { return []; };

var TestAppModule = (function () {
    function TestAppModule() {
    }
    /**
     * @return {?}
     */
    TestAppModule.forRoot = function () {
        return {
            ngModule: TestAppModule,
            providers: []
        };
    };
    return TestAppModule;
}());
TestAppModule.decorators = [
    { type: _angular_core.NgModule, args: [{
                imports: [
                    _angular_common.CommonModule
                ],
                declarations: [
                    SamplePipe
                ],
                exports: [
                    SamplePipe
                ]
            },] },
];
/**
 * @nocollapse
 */
TestAppModule.ctorParameters = function () { return []; };

exports.TestAppModule = TestAppModule;
exports.SamplePipe = SamplePipe;

Object.defineProperty(exports, '__esModule', { value: true });

})));
