import { Injectable, NgModule, Pipe } from '@angular/core';
import { CommonModule } from '@angular/common';

/**
 * Transforms any input value
 */
var SamplePipe = (function () {
    function SamplePipe() {
    }
    /**
     * @param {?} value
     * @param {?=} args
     * @return {?}
     */
    SamplePipe.prototype.transform = function (value, args) {
        if (args === void 0) { args = null; }
        return value.reverse();
    };
    return SamplePipe;
}());
SamplePipe.decorators = [
    { type: Pipe, args: [{
                name: 'samplePipe'
            },] },
    { type: Injectable },
];
/**
 * @nocollapse
 */
SamplePipe.ctorParameters = function () { return []; };

var TestAppModule = (function () {
    function TestAppModule() {
    }
    /**
     * @return {?}
     */
    TestAppModule.forRoot = function () {
        return {
            ngModule: TestAppModule,
            providers: []
        };
    };
    return TestAppModule;
}());
TestAppModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule
                ],
                declarations: [
                    SamplePipe
                ],
                exports: [
                    SamplePipe
                ]
            },] },
];
/**
 * @nocollapse
 */
TestAppModule.ctorParameters = function () { return []; };

export { TestAppModule, SamplePipe };
